WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: sce-import lets me select package that it cannot import  (Read 509 times)

Offline sm8ps

  • Sr. Member
  • ****
  • Posts: 305
sce-import lets me select package that it cannot import
« on: January 27, 2016, 04:52:35 AM »
This is what I get for ''sce-import -prvc system-config-printer''
Code: [Select]
Select Package for system-config-printer

1. system-config-printer
2. system-config-printer-common
3. system-config-printer-gnome
4. system-config-printer-udev

Enter selection ( 1 - 4 ) or (q)uit: 1
 
Importing system-config-printer.
 
 
Using Package Index:
/etc/sysconfig/tcedir/import/debinx/ubuntu_trusty_main_i386_Packages
 
Using Security Index:
/etc/sysconfig/tcedir/import/debinx/ubuntu_trusty_security_i386_Packages
 
Using ubuntu Mirror: http://us.archive.ubuntu.com/ubuntu
 
Using ubuntu Security Mirror: http://us.archive.ubuntu.com/ubuntu

system-config-printer is not a standard ubuntu, dCore precompiled, or meta package, exiting..
That seems quite counter-intuitive. Bug or a feature?

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9536
Re: sce-import lets me select package that it cannot import
« Reply #1 on: January 27, 2016, 05:48:02 AM »
Should be fixed now.  It was an entry in PKGADDDEP on the server, and it is no longer a package on at least some dCore versions.  When that is the case, it appears as a selectable package but is not available. 

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9536
Re: sce-import lets me select package that it cannot import
« Reply #2 on: January 27, 2016, 09:12:31 AM »
system-config-printer added back to PKGADDDEP.  Will later ponder if there is an efficient way to keep this from happening.